"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const build_kit_1 = require("@genesislcap/build-kit");
const consola_1 = tslib_1.__importDefault(require("consola"));
exports.default = (dir = process.cwd(), options) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    const ctx = yield (0, build_kit_1.loadBuildContext)(dir, build_kit_1.COMMAND.UPGRADE, options);
    const pkg = (0, build_kit_1.getRawPkg)(ctx);
    const { respectVersionRanges, exclude = '' } = options;
    const SAMPLE_PACKAGE = '@genesislcap/foundation-ui';
    const exclusions = exclude.split(',').filter(Boolean);
    const newVersion = respectVersionRanges ? null : (0, build_kit_1.getLatestVersion)(SAMPLE_PACKAGE);
    consola_1.default.info('Fetching version data...');
    const updatedPackages = (0, build_kit_1.updateVersions)(pkg, newVersion, exclusions);
    if (updatedPackages.length) {
        yield (0, build_kit_1.updatePackageJSON)(pkg);
        consola_1.default.success('Package.json updated. Run bootstrap to install updated versions.');
        updatedPackages.forEach((p) => consola_1.default.log((0, build_kit_1.white)(`${(0, build_kit_1.bold)(p.name)}: ${p.from} → ${p.to}`)));
    }
    else {
        consola_1.default.info('No changes made to package.json');
    }
});
